// @flow
import _ from 'lodash';
import {default as settings} from 'settings';
import {transformGetRequest} from 'helpers';

export default (baseURL: string = settings.BASE_URL) => ({
	crud: true,

	transformer: (
		response: {data: Object},
		prevData: Object,
		options?: Object,
	) => transformGetRequest(response, data => _.defaultsDeep(data, {
		opportunity_information: {commissionTotal: '', expectedRevenue: '', next_step: ''},
	}), options),

	url: `${baseURL}/API/opportunities/:id`,
});
